function [R] = cod(y, y_hat)

N = length(y);

%Find y_bar:
y_bar = 0;
for i=1:N
     y_bar = y_bar + y(i);
end
y_bar = y_bar / N;

%Find SSR and SST:
SSR = sum((y_hat - y_bar).^2);
SST = sum((y - y_bar).^2);

%Calculate COD:
R = SSR / SST * 100;