function [ret] = e2q(e)
cos_r = cos(e(1)/2);
sin_r = sin(e(1)/2);
cos_p = cos(e(2)/2);
sin_p = sin(e(2)/2);
cos_y = cos(e(3)/2);
sin_y = sin(e(3)/2);

ret(1) = cos_y*cos_p*cos_r + sin_y*sin_p*sin_r;
ret(2) = cos_y*cos_p*sin_r - sin_y*sin_p*cos_r;
ret(3) = sin_y*cos_p*sin_r + cos_y*sin_p*cos_r;
ret(4) = sin_y*cos_p*cos_r - cos_y*sin_p*sin_r;
