%Least squares:
function [theta] = lse_conv(z, phi, a)

%Add bias regressor:
phi = [ones(length(z),1), phi];

%Find sizes:
phi_size = size(phi);
N = length(z);

%Find LSE:
R = zeros(phi_size(2));
f = zeros(phi_size(2), 1);
for i=1:N
    R = R + phi(i, :)'*phi(i, :);
    f = f + phi(i, :)'*z(i);
    if (i > a)
        theta(i, :) = R\f;
    else 
        theta(i, :) = zeros(1, phi_size(2));
    end
end

